Summary:	The core programs for the GNOME GUI desktop environment
Name:		gnome-core
Version:	1.4.0.2
Release:	2mdk
Copyright:	LGPL/GPL
Group:		Graphical desktop/GNOME

Source:		ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnome-core/%{name}-%{version}.tar.bz2
Source1:	netscape.png
Source2:	Settings.order
Source4:	Gnome.session
Source5:	gnome-core.menumethod.bz2
Source6:	gnome-ccdesktop.png
Source7:	gnome-devel.png
Source8:	gnome-gnomoku.png
Source9:	gnome-multimedia.png
Source10:	gnome-panel.png
Source13:	gnome-util.png
Source14:	gnome-applications.png
##Source15:	default.in
Source18:	gnome-terminal.xpm  
Source19:	gnome-terminal32.xpm  
#from helix gnome 1.2
Source20:	gnome-terminal48.xpm  
Source21:	gnome-settings.png
Source22:	mdk-button-yellow.png
Source23:	gnome-ccscreensaver.png
Source24:	gnome-session.png

Source25:	startgnome.bz2
Source26:	panel.config.bz2
Source27:	gnome-mdk-splash.png
Source28:   esound.png
Source29:   gnome-desktop.bz2

#################
# Redhat patches#
#################
Patch19:	gnome-core-1.1.90-swapbs.patch.bz2

###############
#helix patches#
###############

## gnome 1.1.9 ?
Patch1:		gnome-hint-ugly_blue.patch.bz2

##################
#mandrake patches#
##################

Patch9:		gnome-terminal-font-mdk.patch.bz2
# (fc) 1.2.4-1mdk modified to point to mdk directory
Patch10:	foobar-monkey.patch.bz2
#(chmou)
Patch13:	gnome-core-libbz2.patch.bz2
Patch14:	gnome-core-1.3.1-session-default.patch.bz2
# (fc) 1.2.4-1mdk mdk customization
Patch15:	gnome-core-1.3.1-mdk-customization.patch.bz2
# (Fred C.) correct behaviour for Run and Menu keys
Patch17:	gnome-core-1.3.1-keys.patch.bz2
Patch18:	gnome-core-settings.patch.bz2
Patch22:	gnome-core-1.3.1-mdk-splash.patch.bz2
Patch23:	gnome-core-1.4.0-mdk-session.patch.bz2
# (fc) 1.2.4-3mdk patch to recognize -geometry option in gnome-terminal
Patch24:	gnome-core-1.4.0-geometry.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-%{PACKAGE_VERSION}
Obsoletes:	gnome
Icon:		gnome-logo-icon-transparent.xpm
URL:		http://www.gnome.org/
BuildRequires:	control-center-devel XFree86-devel ORBit-devel xpm-devel gnome-libs-devel 
BuildRequires: audiofile-devel esound-devel imlib-devel gdk-pixbuf-devel libjpeg-devel 
BuildRequires: libpng-devel libtiff-devel libxml-devel zlib-devel scrollkeeper
BuildRequires: libglade0-devel

# pulled by libraries dependecy
#Requires:	gdk-pixbuf >= 0.7.0
Requires:   sawfish, mandrake_desk >= 8.0-6mdk
Requires:   gnome-desktop
PreReq:		scrollkeeper

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window manager
for the X Window System. GNOME is similar in purpose and scope to CDE and KDE,
but GNOME (like KDE) is based completely on Open Source software. The gnome-core package
includes the basic programs and libraries that are needed to install GNOME.

You should install the gnome-core package if you would like to use the GNOME
desktop environment. You'll also need to install the gnome-libs package. If you
want to use linuxconf with a GNOME front end, you'll also need to install the
gnome-linuxconf package.

%package devel
Summary:	GNOME core libraries, includes and more
Group:		Development/GNOME and GTK+
Icon:		gnome-core-devel-logo.xpm
Requires:	%{name} = %{version}
Requires:	gnome-libs-devel

%description devel
Panel libraries and header files for creating GNOME panels.

%prep
%setup -q
cp %{SOURCE6} pixmaps/
cp %{SOURCE7} pixmaps/
cp %{SOURCE8} pixmaps/
cp %{SOURCE9} pixmaps/
cp %{SOURCE10} pixmaps/
cp %{SOURCE13} pixmaps/
cp %{SOURCE21} pixmaps/
cp %{SOURCE23} pixmaps/
cp %{SOURCE23} pixmaps/
cp %{SOURCE24} pixmaps/

echo "  *****     Applying Redhat patches    *****  "
%patch19 -p1 -b .swapbs

echo "  *****     Applying Helix patches     *****  "
%patch1 -p1 -b .ugly_blue
%patch10 -p1 -b .monkey

echo "  *****     Applying Mandrake patches   *****  "
%patch9 -p1 -b .font
%patch13 -p1 -b .libbz2
%patch14 -p1 -b .session
# carefull, patch15 depend on patch 14 !!
%patch15 -p1 -b .mdkcustomization
%patch17 -p1 -b .mdkkeys
%patch18 -p1 -b .mdksettings
%patch22 -p 1 -b .mdksplash
%patch23 -p 1 -b .mdksession
%patch24 -p 1 -b .geometry

%build

%configure --without-kde-datadir --with-window-manager=sawfish --disable-alsa

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall


mkdir -p  $RPM_BUILD_ROOT%{_datadir}/pixmaps/mdk/

cp %{SOURCE22} $RPM_BUILD_ROOT%{_datadir}/pixmaps/mdk/ #yellow button.png
cp %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps/ #netscape.png
cp %{SOURCE27} $RPM_BUILD_ROOT%{_datadir}/pixmaps/mdk/
mv $RPM_BUILD_ROOT%{_datadir}/pixmaps/splash/gnome-splash.png gnome-splash-original.png 
ln -s ../mdk/gnome-mdk-splash.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/splash/gnome-splash.png

cp %{SOURCE28} $RPM_BUILD_ROOT%{_datadir}/pixmaps/esound.png

# Menu support
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/menu-methods
bzcat %{SOURCE5} > $RPM_BUILD_ROOT%{_sysconfdir}/menu-methods/gnome-panel

# (dam's) Menu entries
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name} 
#Section menu
?package(%{name}): needs=gnome section="Configuration" title="Gnome" icon="%{_datadir}/pixmaps/gnome-logo-icon-transparent.png"
?package(%{name}): needs=gnome section="Configuration/Gnome" title="Desktop" icon="%{_datadir}/pixmaps/gnome-ccdesktop.png"
?package(%{name}): needs=gnome section="Configuration/Gnome" title="Multimedia" icon="%{_datadir}/pixmaps/gnome-multimedia.png"
?package(%{name}): needs=gnome section="Configuration/Gnome" title="Peripherals" icon="%{_datadir}/pixmaps/gnome-ccperiph.png"
?package(%{name}): needs=gnome section="Configuration/Gnome" title="User Interface" icon="%{_datadir}/pixmaps/gnome-multimedia.png"
#
?package(%{name}): command="%{_bindir}/gnome-about" icon="%{_datadir}/pixmaps/gnome-default-dlg.png" longtitle="About Gnome desktop" title="About Gnome" needs=gnome section="Documentation"
?package(%{name}): command="%{_bindir}/gnome-help-browser" icon="%{_datadir}/pixmaps/gnome-help.png" longtitle="Integrated help system(info, man, HTML)" title="Help System" needs=gnome section="Documentation"
?package(%{name}): command="%{_bindir}/save-session" icon="" longtitle="" title="Save current session" needs=gnome section="Configuration/Gnome"
?package(%{name}): command="%{_bindir}/session-properties-capplet" icon="" longtitle="Configure which non-session aware programs are started up" title="Startup Programs" needs=gnome section="Configuration/Gnome"
?package(%{name}): command="%{_bindir}/session-properties" icon="" longtitle="Session Manager Properties" title="Session Manager Properties" needs=gnome section="Configuration/Gnome"
?package(%{name}): command="%{_bindir}/gnome-hint-properties-capplet" icon="%{_datadir}/pixmaps/gnome-hint.png" longtitle="Options for the startup hint dialog" title="Startup Hint" needs=gnome section="Configuration/Gnome"
?package(%{name}): command="%{_bindir}/gnome-terminal" icon="gnome-terminal.xpm" longtitle="Terminal of the Gnome desktop" title="Gnome terminal" needs="x11" section="Terminals"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT%{_liconsdir}
install -m 644 %SOURCE18 $RPM_BUILD_ROOT%{_miconsdir}
install -m 644 %SOURCE19 $RPM_BUILD_ROOT%{_iconsdir}/gnome-terminal.xpm
install -m 644 %SOURCE20 $RPM_BUILD_ROOT%{_liconsdir}/gnome-terminal.xpm


rm -f $RPM_BUILD_ROOT%{_datadir}/pixmaps/gnome-suse.png

# gdm session file
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d
cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d/02gnome
NAME=Gnome
ICON=gnome-logo-icon-transparent.xpm
DESC=Gnome Environment
EXEC=%{_bindir}/startgnome
SCRIPT:
exec %{_bindir}/startgnome
EOF

# remove out of date docs
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/help/gnome-intro

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gnome/config-override
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gnome/config
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/distribution-menus/Mandrake

bzcat %{SOURCE25} > $RPM_BUILD_ROOT%{_bindir}/startgnome
bzcat %{SOURCE29} > $RPM_BUILD_ROOT%{_bindir}/gnome-desktop
bzcat %{SOURCE26} > $RPM_BUILD_ROOT%{_sysconfdir}/gnome/config/panel
cat << EOF >  $RPM_BUILD_ROOT%{_sysconfdir}/gnome/config/Background
[Default]
color1=#666699
color2=#ffffff
simple=solid
gradient=vertical
wallpaper=none
nautilus_them=default
Enabled=true
wallpaperAlign=1
wallpaper0=none
wallpapers=1
EOF

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
%{make_session}
/sbin/ldconfig
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update || true ; fi
update-alternatives --install /usr/X11R6/bin/xvt xvt /usr/bin/gnome-terminal 10
  
%postun
%{clean_menus}
%{make_session}
/sbin/ldconfig
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update || true ; fi
if [ "$1" = "0" ]; then
		update-alternatives --remove xvt /usr/bin/gnome-terminal
fi
				
%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%{_libdir}/lib*.so.*
%{_datadir}/applets
%{_datadir}/mc/templates
%{_datadir}/pixmaps/*.xpm
%{_datadir}/pixmaps/*.png
%{_datadir}/pixmaps/fish
%{_datadir}/pixmaps/mailcheck
%{_datadir}/pixmaps/splash
%{_datadir}/pixmaps/tiles
%{_datadir}/pixmaps/mdk/*.png
%{_datadir}/idl/*
%{_datadir}/gnome-about
%{_datadir}/gnome-terminal
%{_datadir}/omf/*
%{_mandir}/*/*
%dir %{_datadir}/gnome
%{_datadir}/gnome/apps
%dir %{_datadir}/gnome/distribution-menus
%dir %{_datadir}/gnome/distribution-menus/Mandrake
%{_datadir}/gnome/help
%{_datadir}/gnome/hints
%{_datadir}/control-center/*/*
%config(noreplace) %{_sysconfdir}/CORBA/servers/*
%config(noreplace) %{_sysconfdir}/sound/events/*
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/*
%attr(755,root,root) %{_sysconfdir}/menu-methods/*
%config(noreplace) %{_datadir}/gnome/default.session
%config(noreplace) %{_datadir}/gnome/default.wm
%dir %{_sysconfdir}/gnome
%dir %{_sysconfdir}/gnome/config
%config(noreplace) %{_sysconfdir}/gnome/config/*
%dir %{_sysconfdir}/gnome/config-override
%{_menudir}/*
%{_miconsdir}/*
%{_iconsdir}/*.xpm
%{_liconsdir}/*
#These are in gnome-core because the shared libraries applets need the .so
#files around.
%{_libdir}/lib*.so

%files devel
%defattr(-, root, root)
%{_libdir}/*.sh
%{_libdir}/*a
%{_includedir}/*

%changelog
* Fri Apr 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.2-2mdk
- Update folder icon
- Add support for MandrakeSoft menu
- Add Help icon on panel

* Wed Apr 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.2-1mdk
- Release 1.4.0.2

* Mon Apr  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.1-4mdk
- Correct menu entries and dispatch them to correct packages

* Wed Apr  4 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.1-3mdk
- Set initial background for both background applet and nautilus

* Tue Apr  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.1-2mdk
- Disable merging mdk menu in gnome menu
- Update patch 23
- Update start script and initial session (for nautilus and gmc)
- Requires virtual package gnome-desktop (provided by nautilus and gmc)

* Fri Mar 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.1-1mdk
- Release 1.4.0.1

* Thu Mar 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-4mdk
- Add libglade0-devel in BuildRequires (Thanks to Petit Bouchon)

* Wed Mar 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-3mdk
- Patch 24 : gnome-terminal recognizes -geometry

* Mon Mar 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-2mdk
- No longer provide separate default.in file, standard one is ok
- Patch 23 : patch default.in to use nautilus by default
- Update patch 22: use nautilus icon for splash screen, use esound.png for sound

* Wed Mar 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-1mdk
- Release 1.4.0

* Thu Mar 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.1-4mdk
- Correct description

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.1-3mdk
- Correct dependencies on scrollkeeper

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.1-2mdk
- Update scrollkeeper database in install scripts

* Fri Mar  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.1-1mdk
- Release 1.3.1
- Remove patches 11,16, 21 (merged upstream)
- Regenerate patches 14, 15, 17

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-2mdk
- Recompiled against latest glib/gtk

* Mon Feb 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-1mdk
- Release 1.2.4
- Regenerate patch 13 (partially merged), 14, 15, 18
- Move autoconf automake calls to prep stage
- Copy gnome-mixer.png as esound.png to having a working splash screen
- Keyboard focus is on Yes when logging out (patch from GNOME CVS)
- Change menu merge directory from /etc/X11/applnk to /usr/share/gnome/distribution-menus/Mandrake
- Use new feature from menudrake to disable mdk customizations (previously in panel settings)
- provides xvt 

* Mon Jan 08 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.1-41mdk
- corrected typo in menu (s/Backgroung/Background/)

* Wed Oct 18 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-40mdk
- Remove unwanted logo (correct bug 884)

* Mon Oct  9 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-39mdk
- New splash screen

* Fri Oct 06 2000 David BAUDENS <baudens@mandrakesoft.com> 1.2.1-38mdk
- Remove uneeded watch

* Thu Oct  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-37mdk
- Update patch15 for new menu behaviour
- Add dependency on menudrake

* Thu Oct 05 2000 David BAUDENS <baudens@mandrakesoft.com> 1.2.1-36mdk
- Set HELP_BROWSER

* Wed Oct  4 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-35mdk
- Update patch18 (new location of Gnome Settings menu entry)

* Mon Oct  2 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-34mdk
- Correct link to control center
- Remove dependency on xscreensaver
- correct perms on startgnome
- Call script to create links for desktop backgrounds

* Sun Oct 01 2000 David BAUDENS <baudens@mandrakesoft.com> 1.2.1-33mdk
- Fix menu

* Thu Sep 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-32mdk
- Change default settings for Gnome-terminal (Patch from Redhat)
- Remove gnome-edit menu entry
- Correct patch 15 and requires gtk+mdk for patch 15 locale 

* Fri Sep 22 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-31mdk
- Change default size of icons for screen width > 1024
- Regenerate patch14

* Fri Sep 22 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-30mdk
- Correct settings menu in menubar (Thanks Andreas Simon)

* Mon Sep 18 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-29mdk
- Patch for menu/run key support
- Add i18n for previous patch for menu

* Fri Sep 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-28mdk
- Small fix for menu

* Thu Sep 14 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-27mdk
- Revert change in wmsession
- new splash screen

* Tue Sep 12 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-26mdk
- Re-add missing pixmaps (thanks Dadou)

* Mon Sep 11 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-25mdk
- correct small glitch in user menu
- update icons searching in menu-method (done now in gnome-libs)
- embed menu-entries in specfile

* Fri Sep  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-24mdk
- Correct again menu handling
- Use more macros

* Thu Sep  7 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-23mdk
- Correct target directory for user menu in menu-method

* Wed Sep  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-22mdk
- Merge menu patches
- Correct wmsession file to be kdm compliant

* Fri Sep  1 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-21mdk
- Change default icons and applets for initial panel startup

* Wed Aug 30 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-20mdk
- Change name of wmsession.d file

* Wed Aug 30 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-19mdk
- Specify default key for opening Menu

* Wed Aug 30 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-18mdk
- Provide startgnome script

* Thu Aug 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-17mdk
- Provide /etc/gnome directory
- use find_lang

* Mon Aug 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-16mdk
- Rebuild to correct provides
- add noreplace to make rpmlint happy

* Mon Aug 21 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.1-15mdk
- corrected English typo in menu entries
- made catalog files language dependent

* Thu Aug 10 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-14mdk
- correct bz2 patch to support both info and man bzipped files
- call autoheader and autoconf in setup (required by bz2 patch)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.1-13mdk
- automatically added BuildRequires

* Tue Aug  1 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-12mdk
- Really really remove dependency on ALSA !!!

* Fri Jul 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-11mdk
- really remove dependency on alsa

* Wed Jul 26 2000 dam's <damien@mandrakesoft.com> 1.2.1-10mdk
- corrected postun macros
- spec cleanup.

* Tue Jul 25 2000 dam's <damien@mandrakesoft.com> 1.2.1-9mdk
- disable-alsa
- uses some menu/session macros

* Mon Jul 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-8mdk
- BM + macroszification
- update to use wmsession.d from mandrake_desk
- use tmpdir variable for BuildRoot

* Thu Jul  6 2000 dam's <damien@mandrakesoft.com> 1.2.1-7mdk
- updated applets launched by default.

* Thu Jul  6 2000 dam's <damien@mandrakesoft.com> 1.2.1-6mdk
- use new patch2 : panel-saner_mdk-1.2.patch

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.1-5mdk
- build against current libbz2
- use new macros

* Wed Jun 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.2.1-4mdk
- Add patch to detect/compile bzip2 1.0.

* Fri Jun 23 2000 dam's <damien@mandrakesoft.com> 1.2.1-3mdk
- Replaced helix graphics by mandrake's ones.

* Thu Jun 22 2000 dam's <damien@mandrakesoft.com> 1.2.1-2mdk
- removed require on sawmill.

* Sat Jun 10 2000 dam's <damien@mandrakesoft.com> 1.2.1-1mdk
- release from helix.
- cleanup spec.

* Sat May  6 2000 dam's <damien@mandrakesoft.com> 1.1.9-7mdk
- Changed default font of gnome-terminal.

* Fri May 05 2000 Daouda Lo <daouda@mandrakesoft.com> 1.1.9-6mdk
- by default applications are kept above the panel.

* Wed May 03 2000 Daouda Lo <daouda@mandrakesoft.com> 1.1.9-5mdk
- remove the settings entry in foobar.
- add hints file .
- some applets (gnomecc & gnome-terminal) in panel.
- mdk menu system is now at top of root (kick ass ;-)

* Fri Apr 28 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.9-4mdk
- updated menu method to use big icons first and to translate menu
sections.

* Thu Apr 27 2000 dam's <damien@mandrakesoft.com> 1.1.9-3mdk
- changed gnome-folder.png
- added fndSession call.
- corrected menuentries path
- added gnome-terminal icons

* Tue Apr 25 2000 dam's <damien@mandrakesoft.com> 1.1.9-2mdk
- changed gnome-folder.png

* Tue Apr 25 2000 Daouda Lo <daouda@mandrakesoft.com> 1.1.9-1mdk
- release 1.1.9 from helix
- cleanup spec 
- fix applet menu entries ! doesn't work at all

* Sun Apr 23 2000 dam's <damien@mandrakesoft.com> 1.1.8.1-5mdk
- menu entries and icons corrections.

* Fri Apr 21 2000 dam's <damien@mandrakesoft.com> 1.1.8.1-4mdk
- added gnome specific menu entries.

* Mon Apr 17 2000 Daouda Lo <daouda@mandrakesoft.com> 1.1.8.1-3mdk
- *.so file moved to package core 'cause some shared libraries applets needs them
- build from mandrake spec file (as Pablo asks ;-)) but merge with helix spec
- include quicklaunch applet
- default wm is Sawmill

* Tue Apr 04 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.55-5mdk
- support of our own menu entry.
- hardcoded kde menus entry thrown away
- added menu support.
- merge with Fred (lepied) spec file(fix menu-method).

* Mon Apr  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.55-4mdk
- moved some remaining devel files to the devel package.
- added menu method.

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 1.0.55-3mdk
- change group
- rebuild

* Wed Jan 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.55-1mdk
- Change the splash patch to load the mandrake pics.

* Tue Dec 28 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.0.55 "Lake Effect"

* Sat Nov 06 1999 Pablo Saratxag <pablo@mandrakesoft.com>
- 1.0.54

* Mon Nov 01 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- defaults, and splash patch from pablo

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Sane SMP building.
- 1.0.53 :
	- Redo bzip2 patch
	- Redo htmlicon patch

* Wed Oct 06 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.0.52

* Tue Aug 05 1999 Pablo Saratxag <pablo@mandrakesoft.com>
- added latest translations from CVS

* Sun Jul 25 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Rebuild

* Wed Jul 21 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.0.9 lets see how much stuff we can break ;)
- hacked some stuff out of newsession patch inserted it into newsession2 (easier to maintain) 
- some minor tweakings

* Mon Jul 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build release (5mdk).

* Sun Jul 11 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added a nice icon
- added es,fr,wa descritpions

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for new environement.

* Mon Jun 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- gnome-1.0.6.
- Merging with RedHat version :
    - fixed file list to include shared libs in gnome-core which are required 
    by applets which are dynamically loaded
    - fix leaks in gnome-pager
    - pager fix for infinite redraws
    - turned off http transport in help browser (it is not a web browser)
    - patch to gnome-session to read GDM_LANG env and set LANG,etc properly
    - another fix for pager
    - remove out-of-date documentaton
    - applied patch that affected gnome pager if you switched window managers
    - fixed splash screen sm handling
    - changed gnome-terminal to use 'fixed' by defualt
    - made help-browser not spout out debugging info
    - fixed many warning messages and other visual glitches

* Sat May 22 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- remove dependancy on enlightenment
- use gnome-wm as default window manager (=shell script that execs
  whatever window manager is present, respecting the WINDOW_MANAGER
  env variable)

* Mon May 10 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- handle bzip2ed man pages

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adpatations.

* Mon Apr 5 1999 Michael Fulbright <drmike@redhat.com>
- updates to owen's session management code
- fixed cdplayer_applet to work if no disc in initially
- included asclock theme data in file list

* Thu Apr 1 1999 Owen Taylor <otaylor@redhat.com>
- updates for gnome-core-1.0.4. 
- changes to provide a simpler session management UI

* Thu Apr 1 1999 Michael Fulbright <drmike@redhat.com>
- added handle and incorporated quicklaunch-applet 0.8

* Sun Mar 28 1999 Michael Fulbright <drmike@redhat.com>
- added devel requirement for gnome-libs-devel and removed prereq for 
  install-info

* Tue Mar 23 1999 Michael Fulbright <drmike@redhat.com>
- added gdm session script for GNOME
- patched help browser to resize properly

* Mon Mar 22 1999 Michael Fulbright <drmike@redhat.com>
- added quicklaunch applet

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Thu Mar 18 1999 Michael Fulbright <drmike@redhat.com>
- fix from ewt to make menubar not show up on initilization if not set on

* Tue Mar 16 1999 Michael Fulbright <drmike@redhat.com>
- make all tiles grey by default
- reverted gsm code back to 1.0.1 code so startup properties will work
- made misc-fixed font default so we get pipe characters back
- moved %{_sysconfdir}/X11/applink to /etc/X11/applnk

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- rebuilt against libghttp 1.0.0
- added kde menu reading code

* Thu Mar 11 1999 Michael Fulbright <drmike@redhat.com>
- added requirement for enlightenment
- added code to merge RH gnome desktop entries into panel menu

* Wed Mar 10 1999 Michael Fulbright <drmike@redhat.com>
- rebuild against gnome-libs with db1

* Sun Feb 21 1999 Michael Fulbright <drmike@redhat.com>
- removed libtoolize from %build

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- 0.99.8.1 release
- replaced bad netscape.png with acceptable one
- updated file list

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- 0.99.8 release

* Mon Feb 08 1999 Michael Fulbright <drmike@redhat.com>
- 0.99.7 release with empty dir panel menu hack

* Sat Feb 06 1999 Michael Fulbright <drmike@redhat.com>
- fixed default session to use enlightenment (again)

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.5.1

* Fri Jan 22 1999 Michael Fulbright <drmike@redhat.com>
- fixed default session to run enlightenment

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.3.2

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.2

* Thu Dec 17 1998 Michael Fulbright <drmike@redhat.com>
- hacked in new default page and logo for help-browser

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.0 for GNOME freeze

* Sat Nov 21 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- Cleaned %files section
- added spanish and french translations for rpm

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>
- Built 0.30 release

* Fri Mar 13 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-core CVS source tree
